/**********************************************************************
** Copyright (C) 2000-2002 Trolltech AS.  All rights reserved.
**
** This file is part of the Qtopia Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/

#ifdef QWS
#include <qwsmouse_qws.h>


#include <qdialog.h>
#include <qpixmap.h>

class QTimer;

class Calibrate : public QDialog
{
    Q_OBJECT
public:
    Calibrate(QWidget* parent=0, const char * name=0, WFlags=0);
    ~Calibrate();

    void show();
    void hide();

private:
    QPoint fromDevice( const QPoint &p );
    bool sanityCheck();
    bool checkTouch();
    void moveCrosshair( QPoint pt );
    void paintEvent( QPaintEvent * );
    void keyPressEvent( QKeyEvent *);
    void keyReleaseEvent( QKeyEvent *);
    void mousePressEvent( QMouseEvent * );
    void mouseMoveEvent( QMouseEvent * );
    void mouseReleaseEvent( QMouseEvent * );
    void init(void);

private slots:
    void timeout();
    void doGrab();

private:
    void store();
    void reset();
    QPixmap logo;
    QWSPointerCalibrationData goodcd,cd;
    QWSPointerCalibrationData::Location location;
    QPoint crossPos;
    QPoint penPos;
    QPixmap saveUnder;
    QTimer *timer;
    int dx;
    int dy;
    bool showCross;
    bool pressed;
    bool anygood;
};

#endif // _WS_QWS_

